# Kinetics Toolkit

An open-source Python package to facilitate research in biomechanics.

<div align="center">

<br/><a href="https://kineticstoolkit.uqam.ca"><img src="https://kineticstoolkit.uqam.ca/doc/_static/logo.png" style="width:30%;" alt="Logo"></a>

<a href="https://doi.org/10.21105/joss.03714"><img src="https://joss.theoj.org/papers/10.21105/joss.03714/status.svg" alt="JOSS"></a>
<a href="https://anaconda.org/conda-forge/kineticstoolkit"><img src="https://anaconda.org/conda-forge/kineticstoolkit/badges/version.svg" alt="Anaconda"></a>
<a href="https://anaconda.org/conda-forge/kineticstoolkit"><img src="https://anaconda.org/conda-forge/kineticstoolkit/badges/latest_release_date.svg" alt="Latest release"></a>


</div>

- Website: https://kineticstoolkit.uqam.ca
- Repository for the Python package: https://github.com/felixchenier/kineticstoolkit
- Repository for the website: https://github.com/felixchenier/kineticstoolkit_doc

![](https://kineticstoolkit.uqam.ca/doc/_images/frontpage.gif)

Kinetics Toolkit is an open-source Python package to facilitate research in biomechanics. It provides tools for:

- TimeSeries analysis, including data, time and event management, time-domain and frequency-domain noise filtering, and cycle management;
- File management, including reading/writing C3D, CSV and any file supported by Pandas;
- Rigid body geometry, including manipulation of series of points, vectors, frames and homogeneous transforms, coordinate system changes, and 3D angle extraction;
- Interactive visualization of 3D markers and rigid bodies;
- Kinematic operations such as reconstruction of occluded, removed or probed markers;
- And more using extensions.

It is a programming library, and programming can be hard for new users. Therefore, we also provide the free, electronic book Biomechanical Analysis using Python and Kinetics Toolkit, which guides new programmers from the basics to advanced, generic 3D biomechanical analysis. This book covers:

- The Python programming language, including arithmetics, variables, numbers, strings, functions, conditions, lists, loops and dictionaries;
- Matplotlib, to generate print-quality graphics and to analyze curves interactively;
- NumPy basics, including n-dimensional arrays, arithmetics, trigonometry, infinity/nan, statistical functions, comparisons, logical operators, indexing, slicing and filtering arrays.

It also covers all the features of Kinetics Toolkit, with reproducible examples based on real, downloadable data.
